// q3map_sun <red> <green> <blue> <intensity> <degrees> <elevation>
// color will be normalized, so it doesn't matter what range you use
// intensity falls off with angle but not distance 100 is a fairly bright sun
// degree of 0 = from the east, 90 = north, etc.  altitude of 0 = sunrise/set, 90 = noon
// last edited by shLep

///////////////////////////////////////////
/////// ogg Sniper's Shaders ////////
///////////////////////////////////////////

//  based off skies/mx_assaultsky
textures/shlep/shlep_Sniper_sky
{
	nocompress
	qer_editorimage textures/skies/sky_3.tga
	q3map_lightimage textures/shlep/shlep_lightimg.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 2048
	q3map_sun	0.984 0.863 0.703 80 295 45
	q3map_surfacelight 80
	skyparms full 200 -
	sunshader sun

	{
		map textures/shlep/shlep_sunset1.tga
		tcMod scale 1 1
		depthWrite
	}
}

// base- concrete_m01 **added lightmap
textures/shlep/shlep_concrete_m01
{

	qer_editorimage textures/shlep/shlep_concrete_m01.jpg
	surfaceparm stonesteps
	{
		map $lightmap
		rgbGen vertex
	}
	{
		map textures/shlep/shlep_concrete_m01.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen vertex
	}
}

// base- concrete_m02 **added lightmap
textures/shlep/shlep_concrete_m02
{

	qer_editorimage textures/shlep/shlep_concrete_m02.jpg
	surfaceparm stonesteps
	{
		map $lightmap
		rgbGen vertex
	}
	{
		map textures/shlep/shlep_concrete_m02.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen vertex
	}
}

// base- awall_m06 **added lightmap
textures/shlep/shlep_awall_m06
{

	qer_editorimage textures/shlep/shlep_awall_m06.jpg
	surfaceparm stonesteps
	{
		map $lightmap
		rgbGen vertex
	}
	{
		map textures/shlep/shlep_awall_m06.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen vertex
	}
}

// base- awall_m04 **added lightmap
textures/shlep/shlep_awall_m04
{

	qer_editorimage textures/shlep/shlep_awall_m04.jpg
	surfaceparm stonesteps
	{
		map $lightmap
		rgbGen vertex
	}
	{
		map textures/shlep/shlep_awall_m04.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen vertex
	}
}

// base- concrete_c07bcmp **added lightmap
textures/shlep/shlep_concrete_c07bcmp
{

	qer_editorimage textures/shlep/shlep_concrete_c07bcmp.jpg
	surfaceparm stonesteps
	{
		map $lightmap
		rgbGen vertex
	}
	{
		map textures/shlep/shlep_concrete_c07bcmp.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen vertex
	}
}

// base- cwood_mo5cb **added lightmap
textures/shlep/shlep_cwood_mo5cb
{

	qer_editorimage textures/shlep/shlep_cwood_mo5cb.tga
	surfaceparm stonesteps
	{
		map $lightmap
		rgbGen vertex
	}
	{
		map textures/shlep/shlep_cwood_mo5cb.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen vertex
	}
}

// base- afloor_m01 **added lightmap
textures/shlep/shlep_afloor_m01
{

	qer_editorimage textures/shlep/shlep_afloor_m01.jpg
	surfaceparm stonesteps
	{
		map $lightmap
		rgbGen vertex
	}
	{
		map textures/shlep/shlep_afloor_m01.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen vertex
	}
}

// base- metal_m02ss
textures/shlep/shlep_metal_m02ss
{

	qer_editorimage textures/shlep/shlep_metal_m02ss.jpg
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen vertex
	}
	{
		map textures/shlep/shlep_metal_m02ss.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen vertex
	}
}

// base- metal_m06 **added lightmap & tinfx
textures/shlep/shlep_metal_m06
{

	surfaceparm metalsteps
	q3map_lightmapsamplesize 1

	{
		map textures/shlep/shlep_metal_m06.jpg
		blendFunc GL_ONE GL_ZERO
		rgbGen identity
	}
	{
		map textures/shlep/shlep_tinfx.tga
		blendFunc GL_ONE_MINUS_DST_ALPHA GL_ONE
		tcMod Scale 2 2
		tcGen environment
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR 				      GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

// base- awall_m05 **added lightmap
textures/shlep/shlep_awall_m05
{

	qer_editorimage textures/shlep/shlep_awall_m05.jpg
	surfaceparm stonesteps
	{
		map $lightmap
		rgbGen vertex
	}
	{
		map textures/shlep/shlep_awall_m05.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen vertex
	}
}

// base- grnwall_m06 **added lightmap & metalsteps
textures/shlep/shlep_grnwall_m06
{

	qer_editorimage textures/shlep/shlep_grnwall_m06.jpg
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen vertex
	}
	{
		map textures/shlep/shlep_grnwall_m06.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen vertex
	}
}

// base- miltary_m06 **added lightmap & metalsteps
textures/shlep/shlep_miltary_m06
{

	qer_editorimage textures/shlep/shlep_miltary_m06.jpg
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen vertex
	}
	{
		map textures/shlep/shlep_miltary_m06.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen vertex
	}
}
